#!/usr/bin/env bash

tar -zcvf "home.tar.gz" --exclude-vcs --exclude '.wow-shared-ringdb' --exclude '__pycache__' --exclude 'venv' --exclude '.cache' --exclude '.wownero' --exclude '/var/lib/postgresql' --exclude '/var/lib/redis' --exclude '/var/lib/snapd' --exclude '/var/lib/mysql' --exclude '*/build' --exclude '/var/log' --exclude '/var/lib/dpkg' --exclude '/var/lib/varnish' --exclude '/var/lib/apt' --exclude '/var/cache' --exclude '/var/log/journal' --exclude 'node_modules' --exclude '.bitmonero' --exclude 'lmdb' /home/
tar -zcvf "etc.tar.gz" --exclude-vcs --exclude '.wow-shared-ringdb' --exclude '__pycache__' --exclude 'venv' --exclude '.cache' --exclude '.wownero' --exclude '/var/lib/postgresql' --exclude '/var/lib/redis' --exclude '/var/lib/snapd' --exclude '/var/lib/mysql' --exclude '*/build' --exclude '/var/log' --exclude '/var/lib/dpkg' --exclude '/var/lib/varnish' --exclude '/var/lib/apt' --exclude '/var/cache' --exclude '/var/log/journal' --exclude 'node_modules' --exclude '.bitmonero' --exclude 'lmdb' /etc/
tar -zcvf "var.tar.gz" --exclude-vcs --exclude '.wow-shared-ringdb' --exclude '__pycache__' --exclude 'venv' --exclude '.cache' --exclude '.wownero' --exclude '/var/lib/postgresql' --exclude '/var/lib/redis' --exclude '/var/lib/snapd' --exclude '/var/lib/mysql' --exclude '*/build' --exclude '/var/log' --exclude '/var/lib/dpkg' --exclude '/var/lib/varnish' --exclude '/var/lib/apt' --exclude '/var/cache' --exclude '/var/log/journal' --exclude 'node_modules' --exclude '.bitmonero' --exclude 'lmdb' /var/
su postgres -c 'pg_dumpall' | gzip > all.sql.gz
